Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io
Class SSTableWriter

    java.lang.Object
      org.apache.cassandra.io.SSTable
          org.apache.cassandra.io.SSTableWriter

    public class SSTableWriter

extends SSTable

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.io.SSTable
`SSTable.PositionSize`

Field Summary

Fields inherited from class org.apache.cassandra.io.SSTable
`columnFamilyName, FILES_ON_DISK, indexSummary, partitioner, path, TEMPFILE_MARKER`

Constructor Summary
`SSTableWriter(java.lang.String filename, long keyCount, IPartitioner partitioner)`

Method Summary
`void` | `append(DecoratedKey decoratedKey, byte[] value)`
`void` | `append(DecoratedKey decoratedKey, DataOutputBuffer buffer)`
`SSTableReader` | `closeAndOpenReader()` Renames temporary SSTable files to valid data, index, and bloom filter files
`long` | `getFilePointer()`
`static SSTableReader` | `renameAndOpen(java.lang.String dataFileName)`

Methods inherited from class org.apache.cassandra.io.SSTable
`bytesOnDisk, compactedFilename, compactedFilename, deleteIfCompacted, filterFilename, filterFilename, getAllFilenames, getColumnFamilyName, getFilename, getTableName, getTotalBytes, indexFilename, indexFilename, parseColumnFamilyName, parseTableName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSTableWriter

    public SSTableWriter(java.lang.String filename,
                         long keyCount,
                         IPartitioner partitioner)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### append

    public void append(DecoratedKey decoratedKey,
                       DataOutputBuffer buffer)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### append

    public void append(DecoratedKey decoratedKey,
                       byte[] value)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### closeAndOpenReader

    public SSTableReader closeAndOpenReader()
                                     throws java.io.IOException

  Renames temporary SSTable files to valid data, index, and bloom filter files

  Throws:
    `java.io.IOException`

### getFilePointer

    public long getFilePointer()

### renameAndOpen

    public static SSTableReader renameAndOpen(java.lang.String dataFileName)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation